Package org.apache.tomcat.util.http.parser

## Class AcceptLanguage

- java.lang.Object
- - org.apache.tomcat.util.http.parser.AcceptLanguage

-     public class AcceptLanguage
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AcceptLanguage​(java.util.Locale locale, double quality)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Locale` | `getLocale()` |
    `double` | `getQuality()` |
    `static java.util.List<AcceptLanguage>` | `parse​(java.io.StringReader input)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AcceptLanguage

          protected AcceptLanguage​(java.util.Locale locale,
                                   double quality)

  - ### Method Detail

    - #### getLocale

          public java.util.Locale getLocale()

    - #### getQuality

          public double getQuality()

    - #### parse

          public static java.util.List<AcceptLanguage> parse​(java.io.StringReader input)
                                                      throws java.io.IOException

      Throws:
        `java.io.IOException`